File Selector Entry

Functions
File Selector Entry

## Functions
Evas_Object * | elm_fileselector_entry_add (Evas_Object *parent)
| Add a new file selector entry widget to the given parent Elementary (container) object. More...
EINA_DEPRECATED void | elm_fileselector_entry_path_set (Evas_Object *obj, const char *path)
| Set the initial file system path and the entry's path string for a given file selector entry widget. More...
EINA_DEPRECATED const char * | elm_fileselector_entry_path_get (const Evas_Object *obj)
| Get the entry's path string for a given file selector entry widget. More...
EINA_DEPRECATED void | elm_fileselector_entry_expandable_set (Evas_Object *obj, Eina_Bool value)
| Enable/disable a tree view in the given file selector entry widget's internal file selector. More...
EINA_DEPRECATED Eina_Bool | elm_fileselector_entry_expandable_get (const Evas_Object *obj)
| Get whether tree view is enabled for the given file selector entry widget's internal file selector. More...
EINA_DEPRECATED void | elm_fileselector_entry_folder_only_set (Evas_Object *obj, Eina_Bool value)
| Set whether a given file selector entry widget's internal file selector is to display folders only or the directory contents, as well. More...
EINA_DEPRECATED Eina_Bool | elm_fileselector_entry_folder_only_get (const Evas_Object *obj)
| Get whether a given file selector entry widget's internal file selector is displaying folders only or the directory contents, as well. More...
EINA_DEPRECATED void | elm_fileselector_entry_is_save_set (Evas_Object *obj, Eina_Bool value)
| Enable/disable the file name entry box where the user can type in a name for a file, in a given file selector entry widget's internal file selector. More...
EINA_DEPRECATED Eina_Bool | elm_fileselector_entry_is_save_get (const Evas_Object *obj)
| Get whether the given file selector entry widget's internal file selector is in "saving dialog" mode. More...
EINA_DEPRECATED void | elm_fileselector_entry_selected_set (Evas_Object *obj, const char *path)
| Set the initial file system path for a given file selector entry widget. More...
EINA_DEPRECATED const char * | elm_fileselector_entry_selected_get (const Evas_Object *obj)
| Get the parent directory's path to the latest file selection on a given filer selector entry widget. More...

## Detailed Description

This is an entry made to be filled with or display a file system path string. Besides the entry itself, the widget has a file selector button on its side, which will raise an internal file selector widget, when clicked, for path selection aided by file system navigation.

This file selector may appear in an Elementary window or in an inner window. When a file is chosen from it, the (inner) window is closed and the selected file's path string is exposed both as a smart event and as the new text on the entry.

This widget inherits from the Layout one, so that all the functions acting on it also work for file selector entry objects (since 1.8).

This widget encapsulates operations on its internal file selector on its own API. There is less control over its file selector than that one would have instantiating one directly.

Smart callbacks one can register to:

- `"changed"` - The text within the entry was changed
- `"activated"` - The entry has had editing finished and changes are to be "committed"
- `"press"` - The entry has been clicked
- `"longpressed"` - The entry has been clicked (and held) for a couple seconds
- `"clicked"` - The entry has been clicked
- `"clicked,double"` - The entry has been double clicked
- `"focused"` - The entry has received focus (since 1.8)
- `"unfocused"` - The entry has lost focus (since 1.8)
- `"selection,paste"` - A paste action has occurred on the entry
- `"selection,copy"` - A copy action has occurred on the entry
- `"selection,cut"` - A cut action has occurred on the entry
- `"unpressed"` - The file selector entry's button was released after being pressed.
- `"file,chosen"` - The user has selected a path via the file selector entry's internal file selector, whose string pointer comes as the `event_info` data (a stringshared string)
- `"language,changed"` - the program's language changed

Default text parts of the fileselector_button widget that you can use for are:

- "default" - A label of the fileselector_button

Default content parts of the fileselector_entry widget that you can use for are:

- "button icon" - A button icon of the fileselector_entry

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset
- elm_object_disabled_set
- elm_object_disabled_get

Here is an example on its usage:

- File selector entry widget example

See also
  File_Selector_Button for a similar widget.

## Function Documentation

## ◆ elm_fileselector_entry_add()

Evas_Object* elm_fileselector_entry_add | ( | Evas_Object * | parent | ) |

Add a new file selector entry widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new file selector entry widget handle or `NULL`, on errors

## ◆ elm_fileselector_entry_expandable_get()

EINA_DEPRECATED Eina_Bool elm_fileselector_entry_expandable_get | ( | const Evas_Object * | obj | ) |

Get whether tree view is enabled for the given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE` if `obj` widget's internal file selector is in tree view, `EINA_FALSE` otherwise (and or errors)

See also
  elm_fileselector_expandable_set() for more details

Deprecated:
  Use elm_fileselector_expandable_get() instead.

References elm_fileselector_expandable_get().

## ◆ elm_fileselector_entry_expandable_set()

EINA_DEPRECATED void elm_fileselector_entry_expandable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Enable/disable a tree view in the given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to enable tree view, `EINA_FALSE` to disable

This has the same effect as elm_fileselector_expandable_set(), but now applied to a file selector entry's internal file selector.

Note
  There's no way to put a file selector entry's internal file selector in "grid mode", as one may do with "pure" file selectors.

See also
  elm_fileselector_expandable_get()

Deprecated:
  Use elm_fileselector_expandable_set() instead.

References elm_fileselector_expandable_set().

## ◆ elm_fileselector_entry_folder_only_get()

EINA_DEPRECATED Eina_Bool elm_fileselector_entry_folder_only_get | ( | const Evas_Object * | obj | ) |

Get whether a given file selector entry widget's internal file selector is displaying folders only or the directory contents, as well.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE` if `obj` widget's internal file selector is only displaying directories, `EINA_FALSE` if files are being displayed in it too (and on errors)

See also
  elm_fileselector_folder_only_set() for more details

Deprecated:
  Use elm_fileselector_folder_only_get() instead.

References elm_fileselector_folder_only_get().

## ◆ elm_fileselector_entry_folder_only_set()

EINA_DEPRECATED void elm_fileselector_entry_folder_only_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Set whether a given file selector entry widget's internal file selector is to display folders only or the directory contents, as well.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to make `obj` widget's internal file selector only display directories, `EINA_FALSE` to make files to be displayed in it too

This has the same effect as elm_fileselector_folder_only_set(), but now applied to a file selector entry's internal file selector.

See also
  elm_fileselector_folder_only_get()

Deprecated:
  Use elm_fileselector_folder_only_set() instead.

References elm_fileselector_folder_only_set().

## ◆ elm_fileselector_entry_is_save_get()

EINA_DEPRECATED Eina_Bool elm_fileselector_entry_is_save_get | ( | const Evas_Object * | obj | ) |

Get whether the given file selector entry widget's internal file selector is in "saving dialog" mode.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE`, if `obj` widget's internal file selector is in "saving dialog" mode, `EINA_FALSE` otherwise (and on errors)

See also
  elm_fileselector_is_save_set() for more details

Deprecated:
  Use elm_fileselector_is_save_get() instead.

References elm_fileselector_is_save_get().

## ◆ elm_fileselector_entry_is_save_set()

EINA_DEPRECATED void elm_fileselector_entry_is_save_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Enable/disable the file name entry box where the user can type in a name for a file, in a given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to make `obj` widget's internal file selector a "saving dialog", `EINA_FALSE` otherwise

This has the same effect as elm_fileselector_is_save_set(), but now applied to a file selector entry's internal file selector.

See also
  elm_fileselector_is_save_get()

Deprecated:
  Use elm_fileselector_is_save_set() instead.

References elm_fileselector_is_save_set().

## ◆ elm_fileselector_entry_path_get()

EINA_DEPRECATED const char* elm_fileselector_entry_path_get | ( | const Evas_Object * | obj | ) |

Get the entry's path string for a given file selector entry widget.

Parameters

  obj | The file selector entry widget

Returns
  path The path string

See also
  elm_fileselector_path_set() for more details

Deprecated:
  Use elm_fileselector_path_get() instead.

References elm_entry_markup_to_utf8().

## ◆ elm_fileselector_entry_path_set()

EINA_DEPRECATED void elm_fileselector_entry_path_set | ( | Evas_Object * | obj,
|  | const char * | path
| ) |  |

Set the initial file system path and the entry's path string for a given file selector entry widget.

Parameters

  obj | The file selector entry widget
  path | The path string

It must be a directory path, which will have the contents displayed initially in the file selector's view, when invoked from `obj`. The default initial path is the `"HOME"` environment variable's value.

See also
  elm_fileselector_path_get()

Deprecated:
  Use elm_fileselector_path_set() instead.

References elm_entry_utf8_to_markup(), and elm_fileselector_path_set().

## ◆ elm_fileselector_entry_selected_get()

EINA_DEPRECATED const char* elm_fileselector_entry_selected_get | ( | const Evas_Object * | obj | ) |

Get the parent directory's path to the latest file selection on a given filer selector entry widget.

Parameters

  obj | The file selector object

Returns
  The (full) path of the directory of the last selection on `obj` widget, a stringshared string

See also
  elm_fileselector_path_set()

Deprecated:
  Use elm_fileselector_selected_get() instead.

References elm_fileselector_path_get().

## ◆ elm_fileselector_entry_selected_set()

EINA_DEPRECATED void elm_fileselector_entry_selected_set | ( | Evas_Object * | obj,
|  | const char * | path
| ) |  |

Set the initial file system path for a given file selector entry widget.

Parameters

  obj | The file selector entry widget
  path | The path string

It must be a directory path, which will have the contents displayed initially in the file selector's view, when invoked from `obj`. The default initial path is the `"HOME"` environment variable's value.

See also
  elm_fileselector_path_get()

Deprecated:
  Use elm_fileselector_selected_set() instead.

References elm_fileselector_path_set().